#include <bits/stdc++.h>
#define ll long long
#define MAXN 1005
using namespace std;

ll H[MAXN];
int N, L;

int main()
{
  ios_base::sync_with_stdio(0);
  cin.tie(0);

  cin >> N >> L;
  for (int i = 1; i <= N; i++)
    cin >> H[i];

  for (int i = 1; i <= N; i++)
  {
    if (H[i] <= L)
    {
      cout << i << "\n";
      return 0;
    }
  }

  cout << "-1\n";
  return 0;
}